import 'package:flyinsono/lab/manager/urm_function_manager.dart';
import 'package:flyinsono/lab/manager/interfaces/analysis.dart';
import 'package:flyinsono/lab/manager/interfaces/login.dart';
import 'package:flyinsono/lab/manager/interfaces/measure.dart';
import 'package:flyinsono/lab/manager/interfaces/project.dart';
import 'package:flyinsono/lab/manager/interfaces/task.dart';
import 'package:flyinsono/lab/manager/login_manager.dart';
import 'package:flyinsono/lab/manager/measure_manager.dart';
import 'package:flyinsono/lab/manager/project_manager.dart';
import 'package:flyinsono/lab/manager/task_manager.dart';
import 'package:flyinsono/managers/interfaces/ai_manager.dart';
import 'package:flyinsono/managers/interfaces/network_error_handler.dart';
import 'package:flyinsono/managers/interfaces/flyinsono_college.dart';
import 'package:flyinsono/managers/interfaces/product_key.dart';
import 'package:flyinsono/managers/interfaces/remote_controller.dart';
import 'package:flyinsono/managers/device_manager.dart';
import 'package:flyinsono/managers/flyinsono_college_manager.dart';
import 'package:flyinsono/managers/interfaces/device.dart';
import 'package:flyinsono/managers/interfaces/live_consultation.dart';
import 'package:flyinsono/managers/network_error_handler_manager.dart';
import 'package:flyinsono/managers/permission_manager.dart';
import 'package:flyinsono/managers/product_key_manager.dart';
import 'package:flyinsono/managers/remote_controller_manager.dart';
import 'package:flyinsono/managers/remote_maintenance_manager.dart';
import 'package:get/get.dart';

import 'ai_manager.dart';
import 'entry_manager.dart';
import 'export_data_manager.dart';
import 'group_manager.dart';
import 'import_data_manager.dart';
import 'interfaces/appointment_consultation.dart';
import 'interfaces/entry.dart';
import 'interfaces/export_data.dart';
import 'interfaces/import_data.dart';
import 'interfaces/group.dart';
import 'interfaces/image_pool.dart';
import 'interfaces/language.dart';
import 'interfaces/live_course.dart';
import 'interfaces/local_rtmp.dart';
import 'interfaces/permission.dart';
import 'interfaces/quality_control.dart';
import 'interfaces/remedical.dart';
import 'interfaces/remote_maintenance.dart';
import 'interfaces/report.dart';
import 'interfaces/report_template.dart';
import 'interfaces/server_config.dart';
import 'interfaces/user_info.dart';
import 'interfaces/vboxcontrol.dart';
import 'interfaces/webview_controller.dart';
import 'appointment_consultation_manager.dart';
import 'image_pool_manager.dart';
import 'interfaces/rtmp_mock_rtc.dart';
import 'interfaces/window_state_manager.dart';
import 'language_config_manager.dart';
import 'live_consultation_manager.dart';
import 'live_course_manager.dart';
import 'local_rtmp_manager.dart';
import 'quality_control_manager.dart';
import 'remedical_Manager.dart';
import 'report_manager.dart';
import 'report_template_manager.dart';
import 'rtmp_mock_rtc.dart';
import 'server_config_manager.dart';
import 'user_info_manager.dart';
import 'vboxcontrol_manager.dart';
import 'webview_controller_manager.dart';
import 'window_state_manager.dart';

class FManagerGuide {
  FManagerGuide._();

  static void setup() {
    Get.put<ILiveConsultationManager>(LiveConsultationManager());
    Get.put<IDeviceManager>(DeviceManager());
    Get.put<IEntryManager>(EntryManager());
    Get.put<IServerConfigManager>(ServerConfigManager());
    Get.put<IReportManager>(ReportManager());
    Get.put<IImagePoolManager>(ImagePoolManager());
    Get.put<IGroupManager>(GroupManager());
    Get.put<ILanguageConfigManager>(LanguageConfigManager());
    Get.put<IWindowStateManager>(WindowStateManager());
    Get.put<IPermissionManager>(PermissionManager());
    Get.put<IWebviewControllerManager>(WebviewControllerManager());
    Get.put<IUserInfoManager>(UserInfoManager());
    Get.put<IAppointmentConsultation>(AppointmentConsultationManager());
    Get.put<IAIManager>(AIManager());
    Get.put<IRemoteControllerManager>(RemoteControllerManager());
    Get.put<IRemoteMaintenanceManager>(RemoteMaintenanceManager());
    Get.put<IReportTemplateManager>(ReportTemplateManager());
    Get.put<IRemedicalManager>(RemedicalManager());
    Get.put<IRtmpMockRtcManager>(RtmpMockRtcManager());
    Get.put<IFlyinsonoCollegeManager>(FlyinsonoCollegeManager());
    Get.put<ILiveCourseManager>(LiveCourseManager());
    Get.put<IVBoxControlManager>(VBoxControlManager()); //Todo:finlay
    Get.put<INetworkErrorHandlerManager>(NetworkErrorHandlerManager());
    Get.put<ILocalRtmpManager>(LocalRtmpManager());
    Get.put<IQualityControlManager>(QualityControlManager());
    Get.put<IProjectManager>(ProjectManager());
    Get.put<ILogInManager>(LogInManager());
    Get.put<IProductKeyManager>(ProductKeyManager());
    Get.put<IExportDataManager>(ExportDataManager());
    Get.put<IImportDataManager>(ImportDataManager());
    Get.put<IServerTaskManager>(ServerTaskManager());
    Get.put<IURMFunctionManager>(URMFunctionManager());
    Get.put<IMeasureManager>(MeasureManager());
  }
}
